<?php

namespace Planaday\Entities\Booking;

enum BookingPluginApiError:string {
	case PageIdMissing = 'BA-400-PIM';
	case PageNotFound = 'BA-404-PNF';
	case PageDoesNotHaveBookingForm = 'BA-404-PNBF';
	case NoValidBookingFormFound = 'BA-404-NVBF';
	case ComponentCreationFailed = 'BA-500-CCF';
	case TransactionUrlNotSet = 'BA-500-TUNS';
	case WidgetSettingsExpired = 'BA-500-WSE';
}
